/*
    This is a romfs file system driver for Windows NT and Windows 2000,
    pre-release 2000-07-11.
    Copyright (C) 2000 Bo Branten
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "ntifs.h"
#include "fsd.h"

BOOLEAN
FsdAcquireForLazyWrite (
    IN PVOID    Context,
    IN BOOLEAN  Wait
    )
{
    KdPrint((DRIVER_NAME ": FsdAcquireForLazyWrite\n"));

    return TRUE;
}

VOID
FsdReleaseFromLazyWrite (
    IN PVOID Context
    )
{
    KdPrint((DRIVER_NAME ": FsdReleaseFromLazyWrite\n"));
}

BOOLEAN
FsdAcquireForReadAhead (
    IN PVOID    Context,
    IN BOOLEAN  Wait
    )
{
    KdPrint((DRIVER_NAME ": FsdAcquireForReadAhead\n"));

    return TRUE;
}

VOID
FsdReleaseFromReadAhead (
    IN PVOID Context
    )
{
    KdPrint((DRIVER_NAME ": FsdReleaseFromReadAhead\n"));
}
